Bug 445077 - Esperanto flag is missing in taskbar when switching keyboard layouts
Summary: Esperanto flag is missing in taskbar when switching keyboard layouts
Status: RESOLVED FIXED
Alias: None
Product: plasmashell
Classification: Plasma
Component: Keyboard Layout (show other bugs)
Version: master
Platform: OpenSUSE Linux
: NOR normal
Target Milestone: 1.0
Assignee: Plasma Bugs List
URL: https://www.reddit.com/r/kde/comments...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-11-06 14:25 UTC by Fushan Wen
Modified: 2021-11-10 11:58 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.23.3


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Bug Janitor Service 2021-11-06 14:27:51 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/plasma-desktop/-/merge_requests/681
Comment 2 Bug Janitor Service 2021-11-08 13:16:15 UTC
A possibly relevant merge request was started @ https://invent.kde.org/frameworks/kdelibs4support/-/merge_requests/14
Comment 3 Nate Graham 2021-11-08 16:35:03 UTC
Git commit a0e8bf4266faee33a4920d887a9534cf3e448438 by Nate Graham, on behalf of Fushan Wen.
Committed on 08/11/2021 at 16:32.
Pushed by ngraham into branch 'master'.

keyboardlayout: Fix missing Esperanto flag icon in the menu

M  +3    -0    applets/keyboardlayout/contents/ui/main.qml

https://invent.kde.org/plasma/plasma-desktop/commit/a0e8bf4266faee33a4920d887a9534cf3e448438
Comment 4 Nate Graham 2021-11-08 16:37:30 UTC
Git commit 50a42b490ef595c3872c2c60b57cf7240c2a7b46 by Nate Graham, on behalf of Fushan Wen.
Committed on 08/11/2021 at 16:37.
Pushed by ngraham into branch 'Plasma/5.23'.

keyboardlayout: Fix missing Esperanto flag icon in the menu


(cherry picked from commit a0e8bf4266faee33a4920d887a9534cf3e448438)

M  +3    -0    applets/keyboardlayout/contents/ui/main.qml

https://invent.kde.org/plasma/plasma-desktop/commit/50a42b490ef595c3872c2c60b57cf7240c2a7b46
Comment 5 Fushan Wen 2021-11-10 10:53:17 UTC
Git commit e9be0b1fba44fee7349dc2d744d75eeaceff1414 by Fushan Wen.
Committed on 10/11/2021 at 02:50.
Pushed by butirsky into branch 'master'.

Move Esperanto flag icon to kdelibs

M  +1    -1    src/l10n/CMakeLists.txt
A  +54   -0    src/l10n/epo/country.desktop
A  +-    --    src/l10n/epo/flag.png

https://invent.kde.org/frameworks/kdelibs4support/commit/e9be0b1fba44fee7349dc2d744d75eeaceff1414
Comment 6 Bug Janitor Service 2021-11-10 11:11:38 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/plasma-desktop/-/merge_requests/684
Comment 7 Fushan Wen 2021-11-10 11:58:37 UTC
Git commit 88089b4bdbba25636ab218110c5e54931edb5eb5 by Fushan Wen.
Committed on 10/11/2021 at 11:09.
Pushed by butirsky into branch 'master'.

keyboardlayout: Remove duplicate Esperanto flag icon

Esperanto flag icon has been moved to KDE4 kdelibs.

M  +0    -3    applets/keyboardlayout/contents/ui/main.qml
M  +0    -4    kcms/keyboard/CMakeLists.txt
M  +3    -8    kcms/keyboard/flags.cpp
D  +0    -1    kcms/keyboard/pics/CMakeLists.txt
D  +-    --    kcms/keyboard/pics/epo.png

https://invent.kde.org/plasma/plasma-desktop/commit/88089b4bdbba25636ab218110c5e54931edb5eb5